VCMD0028040000000000COMPONENT          
Node "rSimResource"
{
Name "ConveyorSimPhyDemo"
Id 1
NodeClass 
{
Id 1
PhysicsCollider 4
Feature "rFrameFeature"
{
Name "EndFrame"

Value 0.999999992549 0 0 0 0 0.999999992551 0 0 0 0 0.999999985101 0 1000 0 700 1 
UseAsGuide 1
}
Feature "rFrameFeature"
{
Name "StartFrame"

Value 0.999999999993 0 0 0 0 1 0 0 0 0 0.999999999993 0 0 0 700 1 
UseAsGuide 1
}
Feature "rPrimitiveBoxFeature"
{
Name "Block"

Matrix 1 0 0 0 0 1 0 0 0 0 1 0 0 -200 0 1 
Length 
{
  Expression "1000\r\n"
}

Width 
{
  Expression "400\r\n"
}

Height 
{
  Expression "700\r\n"
}

}
VCID "b0b4db8e-4fca-4cd9-be84-3a1a968bc094"
}
Functionality "rSimInterface"
{
Id 1
Name "OneToOneInterface"
Flags 6
Section 
{
Name "new section"
Frame "StartFrame"
Fields
{
rSimFlowField
{
Name "new field"
Func "ComponentFlowProxy"
Port 0
}
}
Connection 3
ConnectionNode 0
ConnectionSection 0
}
}
Functionality "rSimInterface"
{
Id 2
Name "OneToOneInterface_1"
Flags 6
Section 
{
Name "new section"
Frame "EndFrame"
Fields
{
rSimFlowField
{
Name "new field"
Func "ComponentFlowProxy"
Port 1
}
}
Connection 2
ConnectionNode 0
ConnectionSection 0
}
}
Functionality "rPhysicsPath"
{
Id 3
Name "PhysicsPath"
Flags 2
ContainerFlags 1
Capacity 100000
CapacityBlocks 
{
}
TransitionSignal "TransitionSignal"
CollisionMask 0
Frames
{
Frame { Name "StartFrame" }
Frame { Name "EndFrame" }
}
PushingFeatures
{
}
Speed 200
Connection "Input"
{
Id 0
Type 9
Name  "Input"

}
Connection "Output"
{
Id 1
Type 10
Name  "Output"

}
}
Functionality "rOneWayPath"
{
Id 4
Name "OneWayPath"
Flags 8194
ContainerFlags 1
Capacity 999999
CapacityBlocks 
{
}
TransitionSignal "TransitionSignal"
Speed 200
Connection "Input"
{
Id 0
Type 1
Name  "Input"

}
Connection "Output"
{
Id 1
Type 2
Name  "Output"

}
Path
{
Frames
{
Frame { Name "StartFrame" }
Frame { Name "EndFrame" }
}
}
Sensors
{
}
RetainOffset 0
SegmentSize 0
Accumulate 1
SpaceUtilization 1
Direction 1
PathAxis 1
}
Functionality "rSimFlowProxy"
{
Id 5
Name "ComponentFlowProxy"
Flags 2
ResourceSignal "ComponentSignal"
DynamicConnections 1
Proxy "Port1"
{
Id 0
Type 3
Name  "Port1"

}
Proxy "Port2"
{
Id 1
Type 3
Name  "Port2"

}
InternalProxy 0
{
Id 2
Type 3
Name  "Internal_Port1"

}
InternalProxy 1
{
Id 3
Type 3
Name  "Internal_Port2"

}
}
Functionality "rPhysicsEntity"
{
Id 6
Name "PhysicsEntity"
MaterialDensity 0
MaterialStaticFriction 0.5
MaterialDynamicFriction 0.5
MaterialRestitution 0.1
LinearDamping 0
AngularDamping 0
mSPIC 0
mSVIC 0
mCollisionGroup 0
PhysicMode 2
ControllerId 0
SmoothingStepCount 0
ReadynessState 1
}
Functionality "rSimBoolSignal"
{
Id 7
Name "TransitionSignal"
Connections
{
"PythonScript"
}
}
Functionality "rSimResourcePtrSignal"
{
Id 8
Name "ComponentSignal"
Connections
{
"PythonScript"
}
}
Functionality "rPythonScript"
{
Id 9
Name "PythonScript"
Script "from vcScript import *\n
\n
\ndef checkPartPhysics(part):
\n  '''tests if part is for physics world or sim world'''
\n  for b in part.Behaviours:
\n    if b.Type == \"rPhysicsEntity\":
\n      return True
\n  return False
\n
\n
\ndef routePartBasedOnPhysics():
\n  '''routes parts to sim or physics path based on physics test'''
\n  proxy.resetConnectorPort(1)
\n  isPartPhysics = checkPartPhysics
\n  if isPartPhysics:
\n    proxy.connectInternally(1,phyPath.Connectors[0])
\n  else:
\n    proxy.connectInternally(1,simPath.Connectors[1])
\n
\n\ndef OnSignal( signal ):\n  
\n  ##route part to sim path or physics path
\n  if signal == partSignal and signal.Value != None:
\n    routePartBasedOnPhysics()
\n  
\n\ncomp = getComponent()
\npathSignal = comp.findBehaviour(\"TransitionSignal\")
\npartSignal = comp.findBehaviour(\"ComponentSignal\")
\nsimPath = comp.findBehaviour(\"OneWayPath\")
\nphyPath = comp.findBehaviour(\"PhysicsPath\")
\nproxy = comp.findBehaviour(\"ComponentFlowProxy\")"
CompatibilityMode 0
}
VCID b0b4db8e-4fca-4cd9-be84-3a1a968bc094
Revision 2
Location 1 0 0 0 0 1 0 0 0 0 1 0 0 0 0 1 
VariableSpace ""
{
  Variable "rTVariable<rBool>"
  {
    Name "Visible"
    Value 1
    Group -1130
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      MANAGED
    }
  }
}
}
